# Class AdsBeforePrerollError

#### Hierarchy (view full)

- AdsError
  - AdsBeforePrerollError

#####
Index

### Constructors

constructor

### Properties

category
code
description

## Constructors

### constructor

- new AdsBeforePrerollError(): AdsBeforePrerollError

- #### Returns AdsBeforePrerollError

  Inherited from AdsError.constructor

## Properties

### `Readonly` category

category: Ads = ErrorCategory.Ads

Inherited from AdsError.category

### `Readonly` code

code: BeforePrerollError = ErrorCode.BeforePrerollError

Overrides AdsError.code

### `Readonly` description

description: "An error occured before the Ads preroll. Playback should continue." = 'An error occured before the Ads preroll. Playback should continue.'